function I=dampedhar(Eloss, A, Ec, wL, wG, temp)
%convolution a damped harmonic with a gaussian resolution function.
de=0.004;%energy step
x1=-2:de:-0.004;
x2=-0.44:de:0.804;
xcv=-2.44:de:0.8;
bose = 1 - exp(x1./(0.0258*temp/300));%bose factors
chi = wL.*abs(x1)./((x1.^2-Ec^2).^2+4*wL^2.*x1.^2);
Sw = chi./bose;
res = 10*exp(-x2.^2./(2*wG).^2);
I1 = conv(Sw, res).*de;
I = A.*interp1(xcv, I1, Eloss, 'linear');
end